import { classNames } from "@repo/config-tailwind/classNames"

export interface SectionProps
  extends React.ComponentPropsWithoutRef<"section"> {
  verticalSpacing?: boolean
  horizontalSpacing?: boolean
}

export const Section: React.FC<SectionProps> = (props) => {
  const {
    className,
    verticalSpacing = false,
    horizontalSpacing = false,
    ...rest
  } = props

  return (
    <section
      className={classNames(
        {
          "my-12": verticalSpacing,
          "mx-6": horizontalSpacing,
        },
        className,
      )}
      {...rest}
    />
  )
}
